--- title: "getCloudHadoopInstanceList" slug: "analytics-vhadoop-getcloudhadoopinstancelist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopInstanceList Available in VPC Get the list of Cloud Hadoop clusters. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `zoneCode` | String | Optional | Filter by zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `vpcNo` | String | Optional | Filter by VPC number. - See [getCloudHadoopTargetVpcList](/docs/en/analytics-vhadoop-getcloudhadooptargetvpclist). | | `subnetNo` | String | Optional | Filter by subnet number. - See [getCloudHadoopTargetSubnetList](/docs/en/analytics-vhadoop-getcloudhadooptargetsubnetlist). | | `cloudHadoopClusterName` | String | Optional | Filter by cluster name. | | `cloudHadoopInstanceNoList` | Array | Optional | List of cluster instance numbers - Filter by cluster instance number. - Example: `cloudHadoopInstanceNoList.1=1234&cloudHadoopInstanceNoList.2=2345` | | `cloudHadoopServerName` | String | Optional | Filter by server name. | | `cloudHadoopServerInstanceNoList` | Array | Optional | List of server instance numbers - Filter by server instance number. - Example: `cloudHadoopServerInstanceNoList.1=1234&cloudHadoopServerInstanceNoList.2=2345` | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) | | `pageSize` | Integer | Optional | Page output count - 1-N (default: 1) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopInstanceList ?regionCode=KR &vpcNo=7**** &subnetNo=17**** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopInstanceListResponse` | Object | - | Response result - See [CloudHadoopInstanceList](/docs/en/common-vapidatatype-cloudhadoopinstancelist). | | `getCloudHadoopInstanceListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopInstanceListResponse.returnCode` | String | - | Response code | | `getCloudHadoopInstanceListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopInstanceListResponse": { "totalRows": 1, "cloudHadoopInstanceList": [ { "cloudHadoopInstanceNo": "2707****", "cloudHadoopClusterName": "clus1", "cloudHadoopInstanceStatusName": "running", "cloudHadoopInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) Created status" }, "cloudHadoopInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "cloudHadoopClusterType": { "code": "CORE_HADOOP_WITH_SPARK", "codeName": "Core Hadoop with Spark : HDFS(3.1.1), YARN(3.1.1), Zookeeper(3.4.9), Ranger(2.0.0), HIVE(3.1.2), Hue(4.8.0), Zeppelin Notebook(0.10.1), Spark (2.4.8)" }, "cloudHadoopVersion": { "code": "HADOOP2.1", "codeName": "Cloud Hadoop 2.1" }, "cloudHadoopImageProductCode": "SW.VCHDP.LNX64.CNTOS.0708.HDP.21.B050", "cloudHadoopServerInstanceList": [ { "cloudHadoopServerInstanceNo": "2707****", "cloudHadoopServerName": "e-001-clus1-5u29-hd", "cloudHadoopServerRole": { "code": "E", "codeName": "Edge Node" }, "cloudHadoopServerInstanceStatusName": "running", "cloudHadoopServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudHadoopServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "17****", "subnetName": "****", "privateIp": "***.***.***.***", "dataStorageSize": 107374182400, "cpuCount": 8, "memorySize": 17179869184 }, { "cloudHadoopServerInstanceNo": "2707****", "cloudHadoopServerName": "m-001-clus1-5u27-hd", "cloudHadoopServerRole": { "code": "M", "codeName": "Master Node" }, "cloudHadoopServerInstanceStatusName": "running", "cloudHadoopServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudHadoopServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "17****", "subnetName": "****", "privateIp": "***.***.***.***", "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184 }, { "cloudHadoopServerInstanceNo": "2707****", "cloudHadoopServerName": "m-002-clus1-5u28-hd", "cloudHadoopServerRole": { "code": "M", "codeName": "Master Node" }, "cloudHadoopServerInstanceStatusName": "running", "cloudHadoopServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudHadoopServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "17****", "subnetName": "****", "privateIp": "***.***.***.***", "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184 }, { "cloudHadoopServerInstanceNo": "2707****", "cloudHadoopServerName": "d-001-clus1-5u2a-hd", "cloudHadoopServerRole": { "code": "D", "codeName": "Date Node" }, "cloudHadoopServerInstanceStatusName": "running", "cloudHadoopServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudHadoopServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "17****", "subnetName": "****", "privateIp": "***.***.***.***", "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184 }, { "cloudHadoopServerInstanceNo": "2707****", "cloudHadoopServerName": "d-002-clus1-5u2b-hd", "cloudHadoopServerRole": { "code": "D", "codeName": "Date Node" }, "cloudHadoopServerInstanceStatusName": "running", "cloudHadoopServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudHadoopServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "vpcName": "****", "subnetNo": "17****", "subnetName": "****", "privateIp": "***.***.***.***", "dataStorageSize": 107374182400, "cpuCount": 4, "memorySize": 17179869184 } ] } ], "requestId": "8eb61b67-****-****-****-cac06da0d8d2", "returnCode": "0", "returnMessage": "success" } } ```